Get a custom profile specification

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customProfileSpecification/{id}

Returns the custom profile specification with the specified ID.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The custom profile specification was returned successfully.
Body ()
Root Schema : CustomProfileSpecificationOracle
Type: object
Title: CustomProfileSpecificationOracle
The custom profile specification resource.
Show Source
Nested Schema : charValueObject
Type: array
A list of char value objects associated with the custom profile specification.
Show Source
Nested Schema : customProfileSpecChar
Type: array
A list of custom profile specification characteristics associated with the custom profile specification.
Show Source
Nested Schema : customProfileSpecRel
Type: array
A list of custom profile specification rels associated with the custom profile specification.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the custom profile specification.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TargetProductSchemaOracle
Type: object
Title: TargetProductSchemaOracle
Match All
Show Source
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : CharValueObjectRefOracle
Type: object
Title: CharValueObjectRefOracle
The Reference of the resource referred in CharValue of custom profile specification.
Show Source
Nested Schema : CustomProfileSpecRel
Type: object
Title: CustomProfileSpecRel
A migration, substitution, dependency or exclusivity relationship between/among custom profile specifications.
Show Source
  • The hyperlink reference to the custom profile specification rel.
  • The ID of the custom profile specification rel.
  • Allowed Values: [ "AGGREGATION", "MIGRATION", "SUBSTITUTION", "DEPENDENCY", "EXCLUSIVITY", "PARENT", "CONDITION", "EXCLUDES", "REQUIRES", "ALLOWED" ]
    The type or classification of the custom profile specification rel. Valid values are AGGREGATION, MIGRATION, SUBSTITUTION, DEPENDENCY, EXCLUSIVITY, PARENT, CONDITION, EXCLUDES, REQUIRES, and ALLOWED.
  • TimePeriodOracle
    Title: TimePeriodOracle
    The validity period of the related party.
  • The version state of the reference.
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source
Nested Schema : TargetProductSchema
Type: object
Title: TargetProductSchema
The reference object to the schema and type of target product which is described by product specification.
Show Source
Nested Schema : TargetProductSchemaOracle-allOf[1]
Type: object
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get a custom profile specification by submitting a GET request on the REST resource using cURL

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customProfileSpecification/id

Example of Request Body

The following shows an example of the request body.

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customProfileSpecification/id

Example of Response Body

The following example shows the contents of the response body in JSON format.

{
    "id": "BuiltInCustSpec004",
    "name": "Built In Cust Spec updated",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/customProfileSpecification/BuiltInCustSpec004",
    "version": "1.0",
    "lifecycleStatus": "In design",
    "created": "2021-06-01T09:17:41.000Z",
    "createdBy": "booth",
    "lastUpdate": "2021-06-01T09:27:26.108Z",
    "lastUpdatedBy": "booth",
    "@type": "CustomProfileSpecificationOracle",
    "project": {
        "id": "CustomProject",
        "name": "CustomProject"
    },
    "customProfileSpecChar": [
        {
            "name": "Align Cycle 001",
            "description": "The day the cycle charges apply and are applicable for recurring charges",
            "valueType": "STRING",
            "configurable": true,
            "minCardinality": 0,
            "maxCardinality": 1,
            "customProfileSpecCharValue": [
                {
                    "isDefault": true,
                    "valueType": "STRING",
                    "value": "Activation Day"
                },
                {
                    "isDefault": false,
                    "valueType": "STRING",
                    "value": "Subscription Day"
                },
                {
                    "isDefault": false,
                    "valueType": "STRING",
                    "value": "Suspense  Day"
                }
            ]
        },
        {
            "name": "Discounts",
            "description": "Application of discount based on the discount validity",
            "configurable": true,
            "minCardinality": 0,
            "maxCardinality": 1,
            "customProfileSpecCharRel": [
                {
                    "relationshipType": "AGGREGATION",
                    "name": "Discount to Mid Cycle for Cycle"
                },
                {
                    "relationshipType": "AGGREGATION",
                    "name": "Discount For Part Of Cycle for Cycle"
                }
            ]
        }
    ],
    "profileType": "CHARGING_TERM"
}
Back to Top